---
title: PATCH /structured-content/content-types/{content_type_id}/managed-migrations/{job_id}
slug: content-marketing-platform/api/patch-structured-contentcontent-typescontenttypeidmanaged-migrationsjobid
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "GJ491q_pk3baITedKI4aw",
  "type": "api-oas-v2",
  "data": {
    "method": "PATCH",
    "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/{job_id}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/{job_id}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "PATCH /structured-content/content-types/{content_type_id}/managed-migrations/{job_id}",
    "description": "<p>Experimental Update a managed migration job.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "content_type_id",
          "type": "string",
          "example": "645cb61c966d0c591320f636",
          "description": "Unique identifier of the content type."
        },
        {
          "kind": "required",
          "name": "job_id",
          "type": "string",
          "description": "Unique identifier of the managed migration job."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Payload for default field values.",
          "schema": [
            {
              "name": "default_values",
              "kind": "required",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/LocalizedFieldValues",
              "customType": "LocalizedFieldValues",
              "schema": [
                {
                  "name": "locale",
                  "kind": "required",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "field_values",
                  "kind": "required",
                  "type": "array",
                  "description": "",
                  "modelRef": "#/components/schemas/LocationFieldValueModel",
                  "customType": "LocationFieldValueModel[]",
                  "schema": [
                    {
                      "name": "longitude",
                      "kind": "required",
                      "type": "number",
                      "description": "Longitude of the field value"
                    },
                    {
                      "name": "latitude",
                      "kind": "required",
                      "type": "number",
                      "description": "Longitude of the field value"
                    },
                    {
                      "name": "order_index",
                      "kind": "optional",
                      "type": "integer",
                      "description": "Order index of the field value"
                    }
                  ]
                }
              ]
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "updated",
                "kind": "optional",
                "type": "boolean",
                "description": "True if the managed migration job is updated."
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Validation error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "HTTPValidationError",
            "schema": [
              {
                "name": "detail",
                "kind": "optional",
                "type": "array",
                "description": "Details of the error",
                "modelRef": "#/components/schemas/ValidationError",
                "customType": "ValidationError[]",
                "schema": [
                  {
                    "name": "loc",
                    "kind": "required",
                    "type": "array",
                    "description": "Locations where the error occurred",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "msg",
                    "kind": "required",
                    "type": "string",
                    "description": "Message describing the error"
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string",
                    "description": "Type of the error"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/HTTPValidationError",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Y210IQ2Yc-kJB4_CflBj4",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PATCH \\\n     --url https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/{job_id} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"default_values\": {\n     \"locale\": \"\",\n     \"field_values\": [\n     {\n     \"longitude\": \"\",\n     \"latitude\": \"\"\n     }\n     ]\n     }\n     }'"
        },
        {
          "id": "2TLbfYD90cnwzX2RD_Pjn",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"default_values\": {\n      \"locale\": \"\",\n      \"field_values\": [\n         {\n            \"longitude\": \"\",\n            \"latitude\": \"\"\n         }\n      ]\n   }\n});\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/{job_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "t4HwzojoKb1H8zvzjCUp1",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/{job_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"default_values\": {\n      \"locale\": \"\",\n      \"field_values\": [\n         {\n            \"longitude\": \"\",\n            \"latitude\": \"\"\n         }\n      ]\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "r7yY6nisMt2c3Mzd7rLtO",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/{job_id}\"\n\npayload = json.dumps({\n   \"default_values\": {\n      \"locale\": \"\",\n      \"field_values\": [\n         {\n            \"longitude\": \"\",\n            \"latitude\": \"\"\n         }\n      ]\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Y210IQ2Yc-kJB4_CflBj4"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful response\n{\n  \"updated\": false\n}"
        },
        {
          "id": "response-1-422",
          "language": "422",
          "code": "// Validation error\n{\n  \"detail\": [\n    {\n      \"loc\": [\n        \"\"\n      ],\n      \"msg\": \"\",\n      \"type\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}